From 409a68572943d83db3603367e49b6541dc9da483 Mon Sep 17 00:00:00 2001
From: Heikki Linnakangas <heikki.linnakangas@iki.fi>
Date: Tue, 12 Mar 2024 13:48:27 +0200
Subject: [PATCH v13 1/6] Improve log messages referring to background worker
 processes

Per Tristan Partin's suggestion.
---
 src/backend/postmaster/postmaster.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/postmaster/postmaster.c b/src/backend/postmaster/postmaster.c
index 49fc6f979e9..a8793fcb0bc 100644
--- a/src/backend/postmaster/postmaster.c
+++ b/src/backend/postmaster/postmaster.c
@@ -5741,7 +5741,7 @@ do_start_bgworker(RegisteredBgWorker *rw)
 		case -1:
 			/* in postmaster, fork failed ... */
 			ereport(LOG,
-					(errmsg("could not fork worker process: %m")));
+					(errmsg("could not fork background worker process: %m")));
 			/* undo what assign_backendlist_entry did */
 			ReleasePostmasterChildSlot(rw->rw_child_slot);
 			rw->rw_child_slot = 0;
@@ -5853,7 +5853,7 @@ assign_backendlist_entry(RegisteredBgWorker *rw)
 	{
 		ereport(LOG,
 				(errcode(ERRCODE_CONFIGURATION_LIMIT_EXCEEDED),
-				 errmsg("no slot available for new worker process")));
+				 errmsg("no slot available for new background worker process")));
 		return false;
 	}
 
-- 
2.39.2

